/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-10-24
 * 描述            ：SERIAL_NO
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Repair.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Repair.mapper.PlnRepairPlanMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PLN_REPAIR_PLAN", namespace=PlnRepairPlanMapper.class)
public class PlnRepairPlan extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * STRENGTH 审批人
	 */
	@Column
	private  String strength;
	public String getStrength() {
		return this.strength;
	}
	public void setStrength(String strength) {
		this.strength = strength;
	}
	/** 
	 * 任务编号
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 任务开始时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date task_begin_time;
	public Date getTask_begin_time() {
		return this.task_begin_time;
	}
	public void setTask_begin_time(Date task_begin_time) {
		this.task_begin_time = task_begin_time;
	}

	/** 
	 * 任务结束时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date task_end_time;
	public Date getTask_end_time() {
		return this.task_end_time;
	}
	public void setTask_end_time(Date task_end_time) {
		this.task_end_time = task_end_time;
	}

	/** 
	 * 0.单次任务；1.周任务；2.月任务；3.年任务
	 */ 
	@Column
	private String task_type;
	public String getTask_type() {
		return this.task_type;
	}
	public void setTask_type(String task_type) {
		this.task_type = task_type;
	}

	/** 
	 * 计划日期集合: eg:单次任务：忽略此字段；周/月任务:1,4,8;年任务:0131,0222
	 */ 
	@Column
	private String plan_date;
	public String getPlan_date() {
		return this.plan_date;
	}
	public void setPlan_date(String plan_date) {
		this.plan_date = plan_date;
	}

	/** 
	 * 计划检修时长(分钟)
	 */ 
	@Column
	private Long plan_duration;
	public Long getPlan_duration() {
		return this.plan_duration;
	}
	public void setPlan_duration(Long plan_duration) {
		this.plan_duration = plan_duration;
	}

	/** 
	 * 产线
	 */ 
	@Column
	private String pline_code;
	public String getPline_code() {
		return this.pline_code;
	}
	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}

	/** 
	 * 检修区域
	 */ 
	@Column
	private String check_aera;
	public String getCheck_aera() {
		return this.check_aera;
	}
	public void setCheck_aera(String check_aera) {
		this.check_aera = check_aera;
	}

	/** 
	 * 设备名称
	 */ 
	@Column
	private String device_name;
	public String getDevice_name() {
		return this.device_name;
	}
	public void setDevice_name(String device_name) {
		this.device_name = device_name;
	}

	/** 
	 * 检修原因
	 */ 
	@Column
	private String repair_reason;
	public String getRepair_reason() {
		return this.repair_reason;
	}
	public void setRepair_reason(String repair_reason) {
		this.repair_reason = repair_reason;
	}

	/** 
	 * 检修状态
	 */ 
	@Column
	private String repair_state;
	public String getRepair_state() {
		return this.repair_state;
	}
	public void setRepair_state(String repair_state) {
		this.repair_state = repair_state;
	}

	/** 
	 * 责任人
	 */ 
	@Column
	private String owner_man;
	public String getOwner_man() {
		return this.owner_man;
	}
	public void setOwner_man(String owner_man) {
		this.owner_man = owner_man;
	}

	/** 
	 * 监督人
	 */ 
	@Column
	private String custodian_man;
	public String getCustodian_man() {
		return this.custodian_man;
	}
	public void setCustodian_man(String custodian_man) {
		this.custodian_man = custodian_man;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String remark;
	public String getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/** 
	 * 无效标志(0/空:有效，其他无效)
	 */ 
	@Column
	private Long invalid_flg;
	public Long getInvalid_flg() {
		return this.invalid_flg;
	}
	public void setInvalid_flg(Long invalid_flg) {
		this.invalid_flg = invalid_flg;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_man_name;
	public String getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}
	
	/**
	 * 最后一次检修时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date last_time;
	
	public Date getLast_time() {
		return last_time;
	}
	public void setLast_time(Date last_time) {
		this.last_time = last_time;
	}
	
	/**
	 * 下一次预计检修时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date next_time;
	public Date getNext_time() {
		return next_time;
	}
	public void setNext_time(Date next_time) {
		this.next_time = next_time;
	}

	/** 
	 * 任务次数ID
	 */ 
	private Long task_id;
	public Long getTask_id() {
		return this.task_id;
	}
	public void setTask_id(Long task_id) {
		this.task_id = task_id;
	}
}
